// THEMING

.theme-button {
  font-size: 0.8em;
  margin: 2px;
  width: 128px;
  line-height: 3em;
  text-align: center;
  text-transform: uppercase;
}

@mixin theme-class($name, $background, $border, $color) {
  .theme-#{$name} {
    background-color: $background;
    border: 4px solid $border;
    color: $color;
  }
}

@include theme-class("blackboard", #000000, #5C5C5C, #FFFDEA);
@include theme-class("gazette", #F2F7FF, #5C5C5C, #000000);
@include theme-class("espresso", #21211F, #4E4E4E, #D1B59A);
@include theme-class("cab", #FEED01, #424242, #1F1F1F);
@include theme-class("cloud", #F1F2F0, #35342F, #37BBE4);
@include theme-class("lime", #263238, #AABBC3, #AEEA00);
@include theme-class("passion", #F5F5F5, #8E24AA, #12005E);
@include theme-class("blues", #2B2C56, #6677EB, #EFF1FC);
@include theme-class("chalk", #263238, #FF869A, #AABBC3);
@include theme-class("tron", #242B33, #6EE2FF, #EFFBFF);
@include theme-class("paper", #F8F6F1, #F5E1A4, #4C432E);
